---
updatedAt: 2026-06-02T00:17:45.000Z
agentTools:
  projectIndex: https://developer.veem.com/llms.txt
---

# Create webhook

Creates a webhook configuration for the account and platform associated with the provided authorization token

# OpenAPI definition

```json
{
  "components": {
    "requestBodies": {
      "WebhookRequest": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/WebhookRequest"
            }
          }
        },
        "description": "request",
        "required": true
      }
    },
    "schemas": {
      "VeemErrorResponse": {
        "properties": {
          "code": {
            "description": "The error code, different than HTTP status codes",
            "format": "int32",
            "type": "integer"
          },
          "fileName": {
            "description": "The filename where the exception was thrown",
            "type": "string"
          },
          "lineNumber": {
            "description": "The line number where the exception was thrown",
            "format": "int32",
            "type": "integer"
          },
          "logTag": {
            "description": "Request log tag",
            "type": "string"
          },
          "message": {
            "description": "The detailed, developer friendly message",
            "type": "string"
          },
          "timestamp": {
            "description": "The timestamp recorded when the error occurred",
            "type": "string"
          }
        },
        "required": [
          "code",
          "logTag",
          "message"
        ],
        "title": "VeemErrorResponse",
        "type": "object"
      },
      "WebhookRequest": {
        "properties": {
          "callbackURL": {
            "type": "string"
          },
          "event": {
            "enum": [
              "INBOUND_PAYMENT_STATUS_UPDATED",
              "OUTBOUND_PAYMENT_STATUS_UPDATED"
            ],
            "type": "string"
          }
        },
        "title": "WebhookRequest",
        "type": "object"
      },
      "WebhookResponse": {
        "properties": {
          "callbackUrl": {
            "type": "string"
          },
          "event": {
            "enum": [
              "INBOUND_PAYMENT_STATUS_UPDATED",
              "OUTBOUND_PAYMENT_STATUS_UPDATED"
            ],
            "type": "string"
          },
          "id": {
            "format": "int64",
            "type": "integer"
          },
          "status": {
            "enum": [
              "Active",
              "Deleted",
              "Inactive",
              "Inactiving",
              "Closed"
            ],
            "type": "string"
          }
        },
        "title": "WebhookResponse",
        "type": "object"
      }
    }
  },
  "info": {
    "description": "Veem REST API",
    "title": "Veem API v1.2",
    "version": "v1.2.1"
  },
  "openapi": "3.0.0",
  "paths": {
    "/veem/v1.2/webhooks": {
      "post": {
        "deprecated": false,
        "description": "Creates a webhook configuration for the account and platform associated with the provided authorization token",
        "operationId": "createWebhookUsingPOST_2",
        "requestBody": {
          "$ref": "#/components/requestBodies/WebhookRequest"
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/WebhookResponse"
                }
              }
            },
            "description": "Success, the webhook configuration was created and returned."
          },
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/WebhookResponse"
                }
              }
            },
            "description": "Created"
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VeemErrorResponse"
                }
              }
            },
            "description": "Invalid request body"
          },
          "401": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VeemErrorResponse"
                }
              }
            },
            "description": "Unauthorized, the token is invalid or expired"
          },
          "403": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VeemErrorResponse"
                }
              }
            },
            "description": "Forbidden, the token owner doesn't have permission to operate this API"
          },
          "500": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VeemErrorResponse"
                }
              }
            },
            "description": "Internal Server Error, see the error code and API doc for reference"
          }
        },
        "summary": "Create webhook",
        "tags": [
          "webhook-controller"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "//sandbox-api.veem.com"
    }
  ],
  "tags": [
    {
      "description": "Webhook Controller",
      "name": "webhook-controller"
    }
  ],
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": true
  }
}
```